Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 520422

Summary: Please add a warning for format-security
Product: Portage Development Reporter: Agostino Sarubbo <ago>
Component: Enhancement/Feature RequestsAssignee: Portage team <dev-portage>
Status: CONFIRMED ---    
Severity: minor CC: sam
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=713576
Whiteboard:
Package list:
Runtime testing required: ---

Description Agostino Sarubbo gentoo-dev 2014-08-21 15:25:59 UTC
Hello,

based on the discussion at [1], I'd like to request the addition of the warning, when the compiler produces something because of -Wformat-security.

[1]: http://thread.gmane.org/gmane.linux.gentoo.devel/91994